=== AdjustRoD/Makefile ===
PLUGINOBJECTS = ofxsThreadSuite.o tinythread.o AdjustRoD.o
PLUGINNAME = AdjustRoD
RESOURCES = net.sf.openfx.AdjustRoDPlugin.png net.sf.openfx.AdjustRoDPlugin.svg

TOP_SRCDIR = ..
include $(TOP_SRCDIR)/Makefile.master
