=== Anaglyph/Makefile ===
PLUGINOBJECTS = ofxsThreadSuite.o tinythread.o Anaglyph.o
PLUGINNAME = Anaglyph
RESOURCES = net.sf.openfx.anaglyphPlugin.png net.sf.openfx.anaglyphPlugin.svg

TOP_SRCDIR = ..
include $(TOP_SRCDIR)/Makefile.master
