=== AppendClip/Makefile ===
PLUGINOBJECTS = ofxsThreadSuite.o tinythread.o AppendClip.o
PLUGINNAME = AppendClip
#RESOURCES = net.sf.openfx.AppendClip.png net.sf.openfx.AppendClip.svg

TOP_SRCDIR = ..
include $(TOP_SRCDIR)/Makefile.master
