=== Card3D/Makefile ===
PLUGINOBJECTS = ofxsThreadSuite.o tinythread.o ofxsTransform3x3.o ofxsShutter.o ofxsFileOpen.o Card3D.o
PLUGINNAME = Card3D
#RESOURCES =

TOP_SRCDIR = ..
include $(TOP_SRCDIR)/Makefile.master
