=== CheckerBoard/Makefile ===
PLUGINOBJECTS = ofxsThreadSuite.o tinythread.o CheckerBoard.o ofxsRectangleInteract.o ofxsGenerator.o
PLUGINNAME = CheckerBoard
RESOURCES = net.sf.openfx.CheckerBoardPlugin.png net.sf.openfx.CheckerBoardPlugin.svg

TOP_SRCDIR = ..
include $(TOP_SRCDIR)/Makefile.master
