=== ChromaKeyer/Makefile ===
PLUGINOBJECTS = ofxsThreadSuite.o tinythread.o ChromaKeyer.o ofxsLut.o
PLUGINNAME = ChromaKeyer
RESOURCES = net.sf.openfx.ChromaKeyerPlugin.png net.sf.openfx.ChromaKeyerPlugin.svg

TOP_SRCDIR = ..
include $(TOP_SRCDIR)/Makefile.master
