=== Clamp/Makefile ===
PLUGINOBJECTS = ofxsThreadSuite.o tinythread.o Clamp.o
PLUGINNAME = Clamp
RESOURCES = net.sf.openfx.Clamp.png net.sf.openfx.Clamp.svg

TOP_SRCDIR = ..
include $(TOP_SRCDIR)/Makefile.master
