=== ClipTest/Makefile ===
PLUGINOBJECTS = ofxsThreadSuite.o tinythread.o ClipTest.o
PLUGINNAME = ClipTest
RESOURCES = net.sf.openfx.ClipTestPlugin.png net.sf.openfx.ClipTestPlugin.svg

TOP_SRCDIR = ..
include $(TOP_SRCDIR)/Makefile.master
