=== ColorBars/Makefile ===
PLUGINOBJECTS = ofxsThreadSuite.o tinythread.o ColorBars.o ofxsRectangleInteract.o ofxsGenerator.o ofxsLut.o
PLUGINNAME = ColorBars
RESOURCES = net.sf.openfx.ColorBars.png net.sf.openfx.ColorBars.svg

TOP_SRCDIR = ..
include $(TOP_SRCDIR)/Makefile.master
