=== debian/watch ===
version=4

https://github.com/NatronGitHub/openfx-misc/releases \
(?:.*?/)?Natron-?(\d[\d.]*)\.tar\.gz
